You are here

New Python 3.7

5 posts / 0 new
Last post
New Python 3.7
#1

Hello developers,

 

Just letting you know that there is a new python version (3.7) released and PyRosetta does not work in it. I use Arch based linux so I discover these things very early, just want to send you a notification here incase you feel you need to provide PyRosetta in python 3.7

 

I hope this helps.

Category: 
Post Situation: 
Wed, 2018-08-15 07:00
ac.research

Thank you for letting us know! What exact error are you getting with 3.7 build? (i am aware that 3.7 does not work on Mac's due to init hanging but i have not yet seen any issue with Linux versions). Thanks,

Wed, 2018-08-15 12:23
Sergey

Well I am able to extract and compile PyRosetta-3.6.Release for both Ubuntu and "other" Linux using the command "sudo python PyRosetta/setup/setup.py install" where python is 3.7 and there are no errors.

 

But when I execute a python script with " from pyrosetta import * "  i get the error that there is no pyrosetta.

 

I downgraded back to python 3.6 and everythong works fine again, so I beleive the issue is with python 3.7

Thu, 2018-08-16 02:23
ac.research

Ah, so you used pre-build binaries for 3.6? - they will only work with Python-3.6 but for not for other version of Python. For 3.7 you will need to recompile PyRosetta from source code...

Thu, 2018-08-16 12:08
Sergey

I can confirm that Pyrosetta works with python 3.7 on ubuntu (18.04.1 LTS) - I have just installed it, and it runs without errors :)

Thu, 2018-08-30 06:06
MNP1986